%define	version 0.1
%define kdename kcmclock
%define release 7mdk

Name: %{kdename}
Summary: Configures the system clock.
Version: %{version}
Release: %{release}
Source:  %{name}-%{version}.tar.bz2
Patch: %{name}-docdir.patch.bz2
Group: System/Configuration/Hardware
Copyright: GPL
BuildRoot: /var/tmp/%{name}-buildroot
Requires: qt kdelibs

%description
K Desktop application to configure the system's data and time

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 
%patch -p1

%build
export KDEDIR=/usr
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --with-install-root=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT    
if [ "$SMP" != "" ]; then
  (make KDEDIR=$KDEDIR "MAKE=make -k -j $SMP"; exit 0)
  make KDEDIR=$KDEDIR
else
  make KDEDIR=$KDEDIR
fi

%install
export KDEDIR=/usr
make prefix=$RPM_BUILD_ROOT$KDEDIR install

if [ -e $RPM_BUILD_ROOT/usr/share/doc ]; then
  mkdir -p $RPM_BUILD_ROOT/usr/doc
  mv $RPM_BUILD_ROOT/usr/share/doc $RPM_BUILD_ROOT/usr/doc/kde
fi

# (fg) Menu entry - FIXME: icon exists but is "big"
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat >$RPM_BUILD_ROOT/usr/lib/menu/kcmclock <<EOF
?package(kcmclock): command="/usr/bin/kcmclock" needs="X11" \
icon="kcmclock.xpm" title="Set clock" longtitle="Set your system clock" \
section="Configuration/Other"
EOF

# (fg) Generating the mini-icon
cd $RPM_BUILD_ROOT/usr/share/icons
mkdir mini
convert kcmclock.xpm -geometry 16x16 mini/kcmclock.xpm

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root,755)
/usr/bin/*
/usr/share/icons/kcmclock.xpm
/usr/share/icons/mini/kcmclock.xpm
/usr/share/locale/*/LC_MESSAGES/kcmclock.mo
%docdir /usr/doc/kde
/usr/doc/kde/HTML/en/kcontrol/kcmclock/kcmclock.html
/usr/lib/menu/kcmclock

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%changelog

* Wed Mar 22 2000 Francis Galiegue <fg@mandrakesoft.com> 0.1-7mdk

- Rebuilt on kenobi
- Made mini-icon (using convert, which seems to have a bug BTW)
- Modified menu entry

* Tue Mar 14 2000 Francis Galiegue <francis@mandrakesoft.com> 0.1-6mdk

- Spec file fixes
- Menu entry
- Changed group according to 7.1 specs
- Let spec helper do its job
- Don't use prefix

* Thu Nov 25 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add fr.po

* Tue Nov 23 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance
- Add patch to install docs to en rather than default
- Manually move documentation to /usr/doc/kde

* Wed Sep 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for Cooker.                                                                             

* Sat Aug 28 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.

